=head1 NAME

Gtk2::ImageView::ScrollWin -  Scrollable window suitable for Gtk2::ImageView.

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Table
                           +----Gtk2::ImageView::ScrollWin



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut

=for object Gtk2::ImageView::ScrollWin Scrollable window suitable for Gtk2::ImageView.

=head1 DESCRIPTION

Gtk2::ImageView::ScrollWin provides a widget similar in appearance to
Gtk2::ScrollWin that is more suitable for displaying Gtk2::ImageView's.

=cut




=head1 METHODS

=head2 widget or undef = Gtk2::ImageView::ScrollWin-E<gt>B<new> ($view)

=over

=item * $view (Gtk2::ImageView) 

=back

Returns a new Gtk2::ImageView::ScrollWin containing the Gtk2::ImageView.

The widget is built using four subwidgets arranged inside a Gtk2::Table with two
columns and two rows. Two scrollbars, one navigator button (the decorations) and
one Gtk2::ImageView.

When the Gtk2::ImageView fits inside the window, the decorations are hidden.



=cut


=head1 PROPERTIES

=over

=item 'view' (Gtk2::ImageView : default undef : writable / construct-only)

Image View to navigate

=back



=cut


=head1 SEE ALSO

L<Gtk2::ImageView>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Table>


=cut


=head1 COPYRIGHT

Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see L<Gtk2::ImageView> for a full notice.


=cut

